<?php
namespace Noodlehaus\Parser\Test;

use Noodlehaus\Parser\Serialize;
use Yoast\PHPUnitPolyfills\Polyfills\ExpectException;
use Yoast\PHPUnitPolyfills\TestCases\TestCase;

/**
 * Generated by PHPUnit_SkeletonGenerator 1.2.1 on 2014-04-21 at 22:37:22.
 */
class SerializeTest extends TestCase
{
    use ExpectException;
    /**
     * @var Serialize
     */
    protected $serialize;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function set_up()
    {
        $this->serialize = new Serialize();
    }

    /**
     * @covers Noodlehaus\Parser\Serialize::getSupportedExtensions()
     */
    public function testGetSupportedExtensions()
    {
        $expected = ['txt'];
        $actual   = $this->serialize->getSupportedExtensions();
        $this->assertEquals($expected, $actual);
    }

    /**
     * @covers                   Noodlehaus\Parser\Serialize::parseFile()
     * @covers                   Noodlehaus\Parser\Serialize::parse()
     */
    public function testLoadInvalidSerialize()
    {
        $this->expectException(\Noodlehaus\Exception\ParseException::class);
        $this->expectExceptionMessage('unserialize(): Error at offset 57 of 58 bytes');
        $this->serialize->parseFile(__DIR__ . '/../mocks/fail/error.txt');
    }

    /**
     * @covers Noodlehaus\Parser\Serialize::parseFile()
     * @covers Noodlehaus\Parser\Serialize::parseString()
     * @covers Noodlehaus\Parser\Serialize::parse()
     */
    public function testLoadSerialize()
    {
        $file = $this->serialize->parseFile(__DIR__ . '/../mocks/pass/config.txt');
        $string = $this->serialize->parseString(file_get_contents(__DIR__ . '/../mocks/pass/config.txt'));

        $this->assertEquals('localhost', $file['host']);
        $this->assertEquals('80', $file['port']);

        $this->assertEquals('localhost', $string['host']);
        $this->assertEquals('80', $string['port']);
    }
}
